/*
 * Copyright (c) 2015 Parallels IP Holdings GmbH
 *
 * This file is part of Virtuozzo Core Libraries. Virtuozzo Core
 * Libraries is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <http://www.gnu.org/licenses/> or write to Free Software Foundation,
 * 51 Franklin Street, Fifth Floor Boston, MA 02110, USA.
 *
 * Our contact details: Parallels IP Holdings GmbH, Vordergasse 59, 8200
 * Schaffhausen, Switzerland.
 */

#include <QString>

static QString g_text[] = {
	QString("domain"),
	QString("unsignedInt"),
	QString("unsignedLong"),
	QString("positiveInteger"),
	QString("octalMode"),
	QString("uint8range"),
	QString("data6"),
	QString("uint8range7"),
	QString("data8"),
	QString("uint8range9"),
	QString("uint24range"),
	QString("data11"),
	QString("uint24range12"),
	QString("data13"),
	QString("uint24range14"),
	QString("UUID"),
	QString("data16"),
	QString("UUID17"),
	QString("data18"),
	QString("UUID19"),
	QString("pciaddress"),
	QString("pciDomain"),
	QString("bus"),
	QString("pciBus"),
	QString("slot"),
	QString("pciSlot"),
	QString("function"),
	QString("pciFunc"),
	QString("multifunction"),
	QString("virOnOff"),
	QString("uniMacAddr"),
	QString("multiMacAddr"),
	QString("macAddr"),
	QString("duidLLT"),
	QString("duidEN"),
	QString("duidLL"),
	QString("duidUUID"),
	QString("DUID"),
	QString("DUID38"),
	QString("DUID39"),
	QString("DUID40"),
	QString("DUID41"),
	QString("ipv4Addr"),
	QString("ipv6Addr"),
	QString("ipAddr"),
	QString("ipAddr45"),
	QString("ipAddr46"),
	QString("ipv4Prefix"),
	QString("ipv6Prefix"),
	QString("ipPrefix"),
	QString("ipPrefix50"),
	QString("ipPrefix51"),
	QString("genericName"),
	QString("dnsName"),
	QString("deviceName"),
	QString("filePath"),
	QString("dirPath"),
	QString("absFilePath"),
	QString("absDirPath"),
	QString("unit"),
	QString("scaledInteger"),
	QString("wwn"),
	QString("cpuset"),
	QString("volName"),
	QString("archnames"),
	QString("aarch64"),
	QString("alpha"),
	QString("armv7l"),
	QString("cris"),
	QString("i686"),
	QString("ia64"),
	QString("lm32"),
	QString("m68k"),
	QString("microblaze"),
	QString("microblazeel"),
	QString("mips"),
	QString("mipsel"),
	QString("mips64"),
	QString("mips64el"),
	QString("openrisc"),
	QString("parisc"),
	QString("parisc64"),
	QString("ppc"),
	QString("ppc64"),
	QString("ppcemb"),
	QString("s390"),
	QString("s390x"),
	QString("sh4"),
	QString("sh4eb"),
	QString("sparc"),
	QString("sparc64"),
	QString("unicore32"),
	QString("x86_64"),
	QString("xtensa"),
	QString("xtensaeb"),
	QString("PortNumber"),
	QString("sourceinfoadapter"),
	QString("adapter"),
	QString("type"),
	QString("scsi_host"),
	QString("name"),
	QString("variant101"),
	QString("parentaddr"),
	QString("unique_id"),
	QString("address"),
	QString("variant105"),
	QString("choice106"),
	QString("adapter107"),
	QString("fc_host"),
	QString("parent"),
	QString("wwnn"),
	QString("wwpn"),
	QString("adapter112"),
	QString("isaaddress"),
	QString("iobase"),
	QString("irq"),
	QString("link-speed-state"),
	QString("link"),
	QString("speed"),
	QString("state"),
	QString("unknown"),
	QString("notpresent"),
	QString("down"),
	QString("lowerlayerdown"),
	QString("testing"),
	QString("dormant"),
	QString("up"),
	QString("virYesNo"),
	QString("yes"),
	QString("no"),
	QString("on"),
	QString("off"),
	QString("encryption"),
	QString("format"),
	QString("default"),
	QString("qcow"),
	QString("secret"),
	QString("passphrase"),
	QString("uuid"),
	QString("compat"),
	QString("ownValue"),
	QString("fileFormatFeatures"),
	QString("features"),
	QString("lazy_refcounts"),
	QString("storageFormatBacking"),
	QString("cow"),
	QString("qcow2"),
	QString("qed"),
	QString("vmdk"),
	QString("storageFormat"),
	QString("raw"),
	QString("dir"),
	QString("bochs"),
	QString("cloop"),
	QString("dmg"),
	QString("iso"),
	QString("vpc"),
	QString("vdi"),
	QString("fat"),
	QString("vhd"),
	QString("storageFormat160"),
	QString("storageStartupPolicy"),
	QString("storageSourceExtra"),
	QString("virtualPortProfileID"),
	QString("virtualPortProfile"),
	QString("virtualport"),
	QString("802.1Qbg"),
	QString("parameters"),
	QString("managerid"),
	QString("typeid"),
	QString("typeidversion"),
	QString("instanceid"),
	QString("virtualPortProfile172"),
	QString("802.1Qbh"),
	QString("profileid"),
	QString("virtualPortProfile175"),
	QString("openvswitch"),
	QString("interfaceid"),
	QString("virtualPortProfile178"),
	QString("virtualPortProfile179"),
	QString("bandwidth"),
	QString("inbound"),
	QString("bandwidth-attributes"),
	QString("outbound"),
	QString("average"),
	QString("peak"),
	QString("floor"),
	QString("burst"),
	QString("BurstSize"),
	QString("unsignedShort"),
	QString("protocol"),
	QString("addr-family"),
	QString("vlan"),
	QString("trunk"),
	QString("tag"),
	QString("id"),
	QString("nativeMode"),
	QString("tagged"),
	QString("untagged"),
	QString("port"),
	QString("description"),
	QString("title"),
	QString("hvs"),
	QString("ids"),
	QString("cpu"),
	QString("sysinfo"),
	QString("os"),
	QString("clock"),
	QString("resources"),
	QString("events"),
	QString("pm"),
	QString("idmap"),
	QString("devices"),
	QString("seclabel"),
	QString("qemucmdline"),
	QString("model"),
	QString("dynamic"),
	QString("relabel"),
	QString("label"),
	QString("imagelabel"),
	QString("baselabel"),
	QString("seclabel221"),
	QString("static"),
	QString("seclabel223"),
	QString("none"),
	QString("seclabel225"),
	QString("devSeclabel"),
	QString("seclabel227"),
	QString("labelskip"),
	QString("seclabel229"),
	QString("seclabel230"),
	QString("qemu"),
	QString("kqemu"),
	QString("kvm"),
	QString("xen"),
	QString("lxc"),
	QString("uml"),
	QString("openvz"),
	QString("test"),
	QString("vmware"),
	QString("hyperv"),
	QString("vbox"),
	QString("phyp"),
	QString("parallels"),
	QString("bhyve"),
	QString("osxen"),
	QString("os246"),
	QString("oshvm"),
	QString("os248"),
	QString("osexe"),
	QString("os250"),
	QString("bootloader"),
	QString("ostypexen"),
	QString("osbootkernel"),
	QString("osxen254"),
	QString("osxen255"),
	QString("ostypehvm"),
	QString("loader"),
	QString("readonly"),
	QString("rom"),
	QString("pflash"),
	QString("nvram"),
	QString("template"),
	QString("osbootdev"),
	QString("bootmenu"),
	QString("enable"),
	QString("timeout"),
	QString("smbios"),
	QString("bios"),
	QString("arch"),
	QString("machine"),
	QString("xenpv"),
	QString("xenner"),
	QString("linux"),
	QString("hvmx86"),
	QString("variant275"),
	QString("hvmmips"),
	QString("variant277"),
	QString("hvmsparc"),
	QString("variant279"),
	QString("hvmppc"),
	QString("variant281"),
	QString("hvmppc64"),
	QString("variant283"),
	QString("hvms390"),
	QString("variant285"),
	QString("hvmarm"),
	QString("variant287"),
	QString("hvmaarch64"),
	QString("variant289"),
	QString("choice290"),
	QString("hvm"),
	QString("sun4m"),
	QString("g3beige"),
	QString("mac99"),
	QString("prep"),
	QString("ppce500"),
	QString("pseries"),
	QString("s390-virtio"),
	QString("s390-ccw"),
	QString("s390-ccw-virtio"),
	QString("exe"),
	QString("init"),
	QString("initarg"),
	QString("domainName"),
	QString("uid"),
	QString("start"),
	QString("target"),
	QString("count"),
	QString("gid"),
	QString("memory"),
	QString("dumpCore"),
	QString("maxMemory"),
	QString("slots"),
	QString("currentMemory"),
	QString("memoryBacking"),
	QString("hugepages"),
	QString("page"),
	QString("size"),
	QString("nodeset"),
	QString("nosharepages"),
	QString("locked"),
	QString("vcpu"),
	QString("placement"),
	QString("auto"),
	QString("current"),
	QString("countCPU"),
	QString("iothreads"),
	QString("blkiotune"),
	QString("memtune"),
	QString("cputune"),
	QString("numatune"),
	QString("respartition"),
	QString("weight"),
	QString("device"),
	QString("path"),
	QString("read_iops_sec"),
	QString("write_iops_sec"),
	QString("read_bytes_sec"),
	QString("write_bytes_sec"),
	QString("hard_limit"),
	QString("soft_limit"),
	QString("min_guarantee"),
	QString("swap_hard_limit"),
	QString("shares"),
	QString("cpushares"),
	QString("global_period"),
	QString("cpuperiod"),
	QString("global_quota"),
	QString("cpuquota"),
	QString("period"),
	QString("quota"),
	QString("emulator_period"),
	QString("emulator_quota"),
	QString("vcpupin"),
	QString("vcpuid"),
	QString("emulatorpin"),
	QString("iothreadpin"),
	QString("iothread"),
	QString("mode"),
	QString("strict"),
	QString("preferred"),
	QString("interleave"),
	QString("memory363"),
	QString("memory364"),
	QString("memnode"),
	QString("cellid"),
	QString("resource"),
	QString("partition"),
	QString("offset"),
	QString("localtime"),
	QString("utc"),
	QString("adjustment"),
	QString("timeDelta"),
	QString("adjustment374"),
	QString("reset"),
	QString("clock376"),
	QString("timezone"),
	QString("timeZone"),
	QString("clock379"),
	QString("variable"),
	QString("basis"),
	QString("clock382"),
	QString("timer"),
	QString("platform"),
	QString("rtc"),
	QString("track"),
	QString("boot"),
	QString("guest"),
	QString("wall"),
	QString("tickpolicy"),
	QString("timer391"),
	QString("tsc"),
	QString("frequency"),
	QString("native"),
	QString("emulate"),
	QString("paravirt"),
	QString("smpsafe"),
	QString("timer398"),
	QString("hpet"),
	QString("pit"),
	QString("timer401"),
	QString("kvmclock"),
	QString("hypervclock"),
	QString("timer404"),
	QString("present"),
	QString("delay"),
	QString("merge"),
	QString("discard"),
	QString("tickpolicy409"),
	QString("catchup"),
	QString("threshold"),
	QString("slew"),
	QString("limit"),
	QString("tickpolicy414"),
	QString("bootloader415"),
	QString("bootloader_args"),
	QString("kernel"),
	QString("initrd"),
	QString("root"),
	QString("cmdline"),
	QString("dtb"),
	QString("dev"),
	QString("hd"),
	QString("fd"),
	QString("cdrom"),
	QString("network"),
	QString("diskspec"),
	QString("diskDriver"),
	QString("diskMirror"),
	QString("diskAuth"),
	QString("deviceBoot"),
	QString("shareable"),
	QString("transient"),
	QString("serial"),
	QString("diskSerial"),
	QString("diskIoTune"),
	QString("alias"),
	QString("geometry"),
	QString("diskBlockIo"),
	QString("vendor"),
	QString("product"),
	QString("snapshot"),
	QString("internal"),
	QString("external"),
	QString("lease"),
	QString("lockspace"),
	QString("key"),
	QString("startupPolicy"),
	QString("mandatory"),
	QString("requisite"),
	QString("optional"),
	QString("disk"),
	QString("floppy"),
	QString("disk454"),
	QString("lun"),
	QString("rawIO"),
	QString("sgio"),
	QString("filtered"),
	QString("unfiltered"),
	QString("disk460"),
	QString("diskSource"),
	QString("diskBackingChain"),
	QString("diskBackingStore"),
	QString("diskBackingChain464"),
	QString("diskBackingStoreLast"),
	QString("diskBackingChain466"),
	QString("backingStore"),
	QString("index"),
	QString("diskFormat"),
	QString("diskSourceBlock"),
	QString("diskSource471"),
	QString("diskSourceDir"),
	QString("diskSource473"),
	QString("diskSourceNetwork"),
	QString("diskSource475"),
	QString("diskSourceVolume"),
	QString("diskSource477"),
	QString("diskSourceFile"),
	QString("diskSource479"),
	QString("file"),
	QString("source"),
	QString("block"),
	QString("nbd"),
	QString("rbd"),
	QString("sheepdog"),
	QString("gluster"),
	QString("iscsi"),
	QString("http"),
	QString("https"),
	QString("ftp"),
	QString("ftps"),
	QString("tftp"),
	QString("host"),
	QString("transport"),
	QString("tcp"),
	QString("rdma"),
	QString("name497"),
	QString("name498"),
	QString("host499"),
	QString("unix"),
	QString("socket"),
	QString("host502"),
	QString("volume"),
	QString("pool"),
	QString("direct"),
	QString("diskTarget"),
	QString("ide"),
	QString("fdc"),
	QString("scsi"),
	QString("virtio"),
	QString("usb"),
	QString("sata"),
	QString("sd"),
	QString("tray"),
	QString("open"),
	QString("closed"),
	QString("removable"),
	QString("cyls"),
	QString("heads"),
	QString("secs"),
	QString("trans"),
	QString("lba"),
	QString("blockio"),
	QString("logical_block_size"),
	QString("physical_block_size"),
	QString("driver"),
	QString("driverFormat"),
	QString("driverCache"),
	QString("driverErrorPolicy"),
	QString("driverRerrorPolicy"),
	QString("driverIO"),
	QString("ioeventfd"),
	QString("event_idx"),
	QString("copy_on_read"),
	QString("driverIOThread"),
	QString("type536"),
	QString("aio"),
	QString("cache"),
	QString("writeback"),
	QString("writethrough"),
	QString("directsync"),
	QString("unsafe"),
	QString("error_policy"),
	QString("stop"),
	QString("report"),
	QString("ignore"),
	QString("enospace"),
	QString("rerror_policy"),
	QString("io"),
	QString("threads"),
	QString("unmap"),
	QString("controller"),
	QString("ccid"),
	QString("variant554"),
	QString("buslogic"),
	QString("lsilogic"),
	QString("lsisas1068"),
	QString("vmpvscsi"),
	QString("ibmvscsi"),
	QString("virtio-scsi"),
	QString("lsisas1078"),
	QString("variant562"),
	QString("piix3-uhci"),
	QString("piix4-uhci"),
	QString("ehci"),
	QString("ich9-ehci1"),
	QString("ich9-uhci1"),
	QString("ich9-uhci2"),
	QString("ich9-uhci3"),
	QString("vt82c686b-uhci"),
	QString("pci-ohci"),
	QString("nec-xhci"),
	QString("usbmaster"),
	QString("variant574"),
	QString("pci"),
	QString("pci-root"),
	QString("pcie-root"),
	QString("pcihole64"),
	QString("variant579"),
	QString("pci-bridge"),
	QString("dmi-to-pci-bridge"),
	QString("variant582"),
	QString("choice583"),
	QString("variant584"),
	QString("virtio-serial"),
	QString("ports"),
	QString("vectors"),
	QString("variant588"),
	QString("choice589"),
	QString("queues"),
	QString("cmd_per_lun"),
	QString("max_sectors"),
	QString("filesystem"),
	QString("fsDriver"),
	QString("filesystem595"),
	QString("filesystem596"),
	QString("mount"),
	QString("filesystem598"),
	QString("bind"),
	QString("filesystem600"),
	QString("filesystem601"),
	QString("ram"),
	QString("usage"),
	QString("units"),
	QString("filesystem605"),
	QString("accessmode"),
	QString("passthrough"),
	QString("mapped"),
	QString("squash"),
	QString("space_hard_limit"),
	QString("space_soft_limit"),
	QString("handle"),
	QString("loop"),
	QString("wrpolicy"),
	QString("immediate"),
	QString("interface"),
	QString("bridge"),
	QString("interface-options"),
	QString("interface619"),
	QString("ethernet"),
	QString("interface621"),
	QString("vhostuser"),
	QString("server"),
	QString("client"),
	QString("interface625"),
	QString("portgroup"),
	QString("interface627"),
	QString("bridgeMode"),
	QString("interface629"),
	QString("user"),
	QString("interface631"),
	QString("interface632"),
	QString("mcast"),
	QString("mac"),
	QString("interface635"),
	QString("interface636"),
	QString("hostdev"),
	QString("managed"),
	QString("missing"),
	QString("usbproduct"),
	QString("usbaddress"),
	QString("source642"),
	QString("address643"),
	QString("usbAddr"),
	QString("usbPort"),
	QString("address646"),
	QString("source647"),
	QString("interface648"),
	QString("actual"),
	QString("ip"),
	QString("family"),
	QString("prefix"),
	QString("script"),
	QString("backend"),
	QString("tap"),
	QString("vhost"),
	QString("vfio"),
	QString("driver658"),
	QString("txmode"),
	QString("driver660"),
	QString("csum"),
	QString("gso"),
	QString("tso4"),
	QString("tso6"),
	QString("ecn"),
	QString("ufo"),
	QString("filterref"),
	QString("filterref-node-attributes"),
	QString("tune"),
	QString("sndbuf"),
	QString("emulator"),
	QString("graphic"),
	QString("graphics"),
	QString("sdl"),
	QString("display"),
	QString("xauth"),
	QString("fullscreen"),
	QString("graphics678"),
	QString("vnc"),
	QString("autoport"),
	QString("websocket"),
	QString("listen"),
	QString("addrIPorName"),
	QString("sharePolicy"),
	QString("allow-exclusive"),
	QString("force-shared"),
	QString("variant687"),
	QString("variant688"),
	QString("choice689"),
	QString("passwd"),
	QString("keymap"),
	QString("passwdValidTo"),
	QString("connected"),
	QString("keep"),
	QString("listenElements"),
	QString("graphics696"),
	QString("spice"),
	QString("tlsPort"),
	QString("fail"),
	QString("disconnect"),
	QString("defaultMode"),
	QString("any"),
	QString("secure"),
	QString("insecure"),
	QString("channel"),
	QString("main"),
	QString("inputs"),
	QString("cursor"),
	QString("playback"),
	QString("record"),
	QString("smartcard"),
	QString("usbredir"),
	QString("image"),
	QString("compression"),
	QString("auto_glz"),
	QString("auto_lz"),
	QString("quic"),
	QString("glz"),
	QString("lz"),
	QString("jpeg"),
	QString("never"),
	QString("always"),
	QString("zlib"),
	QString("streaming"),
	QString("filter"),
	QString("all"),
	QString("clipboard"),
	QString("copypaste"),
	QString("mouse"),
	QString("filetransfer"),
	QString("graphics731"),
	QString("rdp"),
	QString("replaceUser"),
	QString("multiUser"),
	QString("graphics735"),
	QString("desktop"),
	QString("graphics737"),
	QString("listen738"),
	QString("listen739"),
	QString("video"),
	QString("vga"),
	QString("cirrus"),
	QString("vmvga"),
	QString("model744"),
	QString("qxl"),
	QString("model746"),
	QString("vram"),
	QString("primary"),
	QString("acceleration"),
	QString("accel3d"),
	QString("accel2d"),
	QString("on_reboot"),
	QString("offOptions"),
	QString("on_poweroff"),
	QString("on_crash"),
	QString("crashOptions"),
	QString("on_lockfailure"),
	QString("lockfailureOptions"),
	QString("destroy"),
	QString("restart"),
	QString("preserve"),
	QString("rename-restart"),
	QString("coredump-destroy"),
	QString("coredump-restart"),
	QString("poweroff"),
	QString("pause"),
	QString("suspend-to-mem"),
	QString("suspendChoices"),
	QString("suspend-to-disk"),
	QString("enabled"),
	QString("qemucdev"),
	QString("qemucdevSrcType"),
	QString("tty"),
	QString("qemucdevSrcDef"),
	QString("qemucdevTgtDef"),
	QString("qemucdevConsoleTgtType"),
	QString("sclp"),
	QString("sclplm"),
	QString("qemucdevSerialTgtType"),
	QString("isa-serial"),
	QString("usb-serial"),
	QString("variant782"),
	QString("variant783"),
	QString("choice784"),
	QString("qemucdevSrcTypeChoice"),
	QString("pipe"),
	QString("udp"),
	QString("null"),
	QString("stdio"),
	QString("vc"),
	QString("pty"),
	QString("spicevmc"),
	QString("spiceport"),
	QString("nmdm"),
	QString("usbdevfilter"),
	QString("usbdev"),
	QString("allow"),
	QString("class"),
	QString("usbClass"),
	QString("class800"),
	QString("usbIdDefault"),
	QString("class802"),
	QString("usbId"),
	QString("vendor804"),
	QString("vendor805"),
	QString("product806"),
	QString("product807"),
	QString("version"),
	QString("usbVersion"),
	QString("version810"),
	QString("version811"),
	QString("service"),
	QString("wiremode"),
	QString("master"),
	QString("slave"),
	QString("append"),
	QString("telnet"),
	QString("telnets"),
	QString("tls"),
	QString("console"),
	QString("console821"),
	QString("variant822"),
	QString("console823"),
	QString("codec"),
	QString("duplex"),
	QString("micro"),
	QString("sound"),
	QString("sb16"),
	QString("es1370"),
	QString("pcspk"),
	QString("ac97"),
	QString("ich6"),
	QString("ich9"),
	QString("variant834"),
	QString("watchdog"),
	QString("i6300esb"),
	QString("ib700"),
	QString("action"),
	QString("shutdown"),
	QString("dump"),
	QString("memballoon"),
	QString("autodeflate"),
	QString("stats"),
	QString("parallel"),
	QString("guestfwdTarget"),
	QString("guestfwd"),
	QString("virtioTarget"),
	QString("variant848"),
	QString("variant849"),
	QString("choice850"),
	QString("smartcard851"),
	QString("host-certificates"),
	QString("certificate"),
	QString("database"),
	QString("smartcard855"),
	QString("smartcard856"),
	QString("tpm"),
	QString("tpm-tis"),
	QString("tpm-backend"),
	QString("tpm-passthrough-device"),
	QString("backend861"),
	QString("input"),
	QString("tablet"),
	QString("keyboard"),
	QString("ps2"),
	QString("hub"),
	QString("redirdev"),
	QString("redirfilter"),
	QString("hostdevsubsys"),
	QString("variant870"),
	QString("hostdevcaps"),
	QString("variant872"),
	QString("choice873"),
	QString("subsystem"),
	QString("hostdevsubsyspci"),
	QString("hostdevsubsys876"),
	QString("hostdevsubsysusb"),
	QString("hostdevsubsys878"),
	QString("hostdevsubsysscsi"),
	QString("hostdevsubsys880"),
	QString("capabilities"),
	QString("hostdevcapsstorage"),
	QString("hostdevcaps883"),
	QString("hostdevcapsmisc"),
	QString("hostdevcaps885"),
	QString("hostdevcapsnet"),
	QString("hostdevcaps887"),
	QString("source888"),
	QString("source889"),
	QString("scsiaddress"),
	QString("source891"),
	QString("source892"),
	QString("storage"),
	QString("misc"),
	QString("char"),
	QString("net"),
	QString("driveBus"),
	QString("driveTarget"),
	QString("driveUnit"),
	QString("usbportaddress"),
	QString("spaprvioaddress"),
	QString("reg"),
	QString("spaprvioReg"),
	QString("ccwaddress"),
	QString("cssid"),
	QString("ccwCssidRange"),
	QString("ssid"),
	QString("ccwSsidRange"),
	QString("devno"),
	QString("ccwDevnoRange"),
	QString("driveaddress"),
	QString("driveController"),
	QString("virtioserialaddress"),
	QString("ccidaddress"),
	QString("variant915"),
	QString("variant916"),
	QString("variant917"),
	QString("variant918"),
	QString("variant919"),
	QString("variant920"),
	QString("variant921"),
	QString("variant922"),
	QString("variant923"),
	QString("variant924"),
	QString("variant925"),
	QString("variant926"),
	QString("variant927"),
	QString("variant928"),
	QString("variant929"),
	QString("variant930"),
	QString("variant931"),
	QString("variant932"),
	QString("rng"),
	QString("variant934"),
	QString("variant935"),
	QString("memorydev"),
	QString("variant937"),
	QString("choice938"),
	QString("panic"),
	QString("pae"),
	QString("apic"),
	QString("eoi"),
	QString("acpi"),
	QString("hap"),
	QString("viridian"),
	QString("privnet"),
	QString("pvspinlock"),
	QString("featurestate"),
	QString("pmu"),
	QString("vmport"),
	QString("gic"),
	QString("cpuMode"),
	QString("cpuMatch"),
	QString("cpuModel"),
	QString("cpuVendor"),
	QString("cpuTopology"),
	QString("cpuFeature"),
	QString("cpuNuma"),
	QString("custom"),
	QString("host-model"),
	QString("host-passthrough"),
	QString("match"),
	QString("minimum"),
	QString("exact"),
	QString("fallback"),
	QString("forbid"),
	QString("vendor_id"),
	QString("model968"),
	QString("feature"),
	QString("policy"),
	QString("force"),
	QString("require"),
	QString("disable"),
	QString("featureName"),
	QString("topology"),
	QString("sockets"),
	QString("cores"),
	QString("numa"),
	QString("numaCell"),
	QString("cell"),
	QString("cpus"),
	QString("memoryKB"),
	QString("memAccess"),
	QString("shared"),
	QString("private"),
	QString("entry"),
	QString("sysinfo-bios-name"),
	QString("sysinfo-value"),
	QString("system"),
	QString("sysinfo-system-name"),
	QString("date"),
	QString("release"),
	QString("manufacturer"),
	QString("sku"),
	QString("useserial"),
	QString("rebootTimeout"),
	QString("rebootTimeoutDelay"),
	QString("address998"),
	QString("drive"),
	QString("address1000"),
	QString("address1001"),
	QString("address1002"),
	QString("address1003"),
	QString("spapr-vio"),
	QString("address1005"),
	QString("ccw"),
	QString("address1007"),
	QString("isa"),
	QString("address1009"),
	QString("bar"),
	QString("dimm"),
	QString("memorydev-source"),
	QString("memorydev-target"),
	QString("pagesize"),
	QString("nodemask"),
	QString("node"),
	QString("rng-backend"),
	QString("rng-rate"),
	QString("random"),
	QString("/dev/random"),
	QString("/dev/hwrng"),
	QString("choice1022"),
	QString("backend1023"),
	QString("egd"),
	QString("backend1025"),
	QString("rate"),
	QString("bytes"),
	QString("startport"),
	QString("parameter"),
	QString("filter-param-name"),
	QString("value"),
	QString("filter-param-value"),
	QString("order"),
	QString("mirror"),
	QString("job"),
	QString("copy"),
	QString("mirror1037"),
	QString("active-commit"),
	QString("mirror1039"),
	QString("ready"),
	QString("abort"),
	QString("pivot"),
	QString("auth"),
	QString("username"),
	QString("diskAuthSecret"),
	QString("ceph"),
	QString("secret1047"),
	QString("secret1048"),
	QString("iotune"),
	QString("total_bytes_sec"),
	QString("variant1051"),
	QString("variant1052"),
	QString("choice1053"),
	QString("total_iops_sec"),
	QString("variant1055"),
	QString("variant1056"),
	QString("choice1057"),
	QString("relaxed"),
	QString("vapic"),
	QString("spinlocks"),
	QString("retries"),
	QString("vpindex"),
	QString("runtime"),
	QString("synic"),
	QString("stimer"),
	QString("hidden"),
	QString("capabilitiespolicy"),
	QString("audit_control"),
	QString("audit_write"),
	QString("block_suspend"),
	QString("chown"),
	QString("dac_override"),
	QString("dac_read_search"),
	QString("fowner"),
	QString("fsetid"),
	QString("ipc_lock"),
	QString("ipc_owner"),
	QString("kill"),
	QString("linux_immutable"),
	QString("mac_admin"),
	QString("mac_override"),
	QString("mknod"),
	QString("net_admin"),
	QString("net_bind_service"),
	QString("net_broadcast"),
	QString("net_raw"),
	QString("setgid"),
	QString("setfcap"),
	QString("setpcap"),
	QString("setuid"),
	QString("sys_admin"),
	QString("sys_boot"),
	QString("sys_chroot"),
	QString("sys_module"),
	QString("sys_nice"),
	QString("sys_pacct"),
	QString("sys_ptrace"),
	QString("sys_rawio"),
	QString("sys_resource"),
	QString("sys_time"),
	QString("sys_tty_config"),
	QString("syslog"),
	QString("wake_alarm"),
	QString("deny"),
	QString("commandline"),
	QString("arg"),
	QString("env"),
	QString("http://libvirt.org/schemas/domain/qemu/1.0"),
	QString("metadata"),
	QString("customElement"),
	QString("variant1111"),
	QString("variant1112"),
	QString("variant1113"),
	QString("choice1114"),
	QString("aliasName"),
	QString("data1116"),
	QString("ccwCssidRange1117"),
	QString("data1118"),
	QString("ccwCssidRange1119"),
	QString("data1120"),
	QString("ccwCssidRange1121"),
	QString("data1122"),
	QString("ccwDevnoRange1123"),
	QString("data1124"),
	QString("ccwDevnoRange1125"),
	QString("rawio"),
	QString("memory1127"),
	QString("anonymous1128"),
	QString("anonymous1129"),
	QString("data1130"),
	QString("uint8range1131"),
	QString("data1132"),
	QString("uint8range1133"),
	QString("data1134"),
	QString("uint24range1135"),
	QString("data1136"),
	QString("uint24range1137"),
	QString("data1138"),
	QString("UUID1139"),
	QString("data1140"),
	QString("UUID1141"),
	QString("DUID1142"),
	QString("DUID1143"),
	QString("DUID1144"),
	QString("DUID1145"),
	QString("ipAddr1146"),
	QString("ipAddr1147"),
	QString("ipPrefix1148"),
	QString("ipPrefix1149"),
	QString("variant1150"),
	QString("variant1151"),
	QString("choice1152"),
	QString("adapter1153"),
	QString("adapter1154"),
	QString("virtualPortProfile1155"),
	QString("virtualPortProfile1156"),
	QString("virtualPortProfile1157"),
	QString("virtualPortProfile1158"),
	QString("connections"),
	QString("ipv6"),
	QString("stp"),
	QString("forward"),
	QString("nat"),
	QString("route"),
	QString("vepa"),
	QString("variant1166"),
	QString("variant1167"),
	QString("choice1168"),
	QString("pf"),
	QString("end"),
	QString("dns"),
	QString("forwardPlainNames"),
	QString("forwarder"),
	QString("addr"),
	QString("txt"),
	QString("srv"),
	QString("priority"),
	QString("hostname"),
	QString("netmask"),
	QString("variant1180"),
	QString("variant1181"),
	QString("choice1182"),
	QString("dhcp"),
	QString("range"),
	QString("variant1185"),
	QString("variant1186"),
	QString("choice1187"),
	QString("host1188"),
	QString("host1189"),
	QString("bootp"),
	QString("variant1191"),
	QString("variant1192"),
	QString("choice1193"),
	QString("gateway"),
	QString("metric"),
	QString("anonymous1196"),
	QString("ethernet-interface"),
	QString("variant1198"),
	QString("bridge-interface"),
	QString("variant1200"),
	QString("bond-interface"),
	QString("variant1202"),
	QString("vlan-interface"),
	QString("variant1204"),
	QString("choice1205"),
	QString("data1206"),
	QString("uint8range1207"),
	QString("data1208"),
	QString("uint8range1209"),
	QString("data1210"),
	QString("uint24range1211"),
	QString("data1212"),
	QString("uint24range1213"),
	QString("data1214"),
	QString("UUID1215"),
	QString("data1216"),
	QString("UUID1217"),
	QString("DUID1218"),
	QString("DUID1219"),
	QString("DUID1220"),
	QString("DUID1221"),
	QString("ipAddr1222"),
	QString("ipAddr1223"),
	QString("ipPrefix1224"),
	QString("ipPrefix1225"),
	QString("variant1226"),
	QString("variant1227"),
	QString("choice1228"),
	QString("adapter1229"),
	QString("adapter1230"),
	QString("basic-ethernet-content"),
	QString("name-attr"),
	QString("bare-ethernet-interface"),
	QString("startmode"),
	QString("mtu"),
	QString("interface-addressing"),
	QString("vlan-interface-common"),
	QString("vlan-device"),
	QString("vlan-id"),
	QString("bare-vlan-interface"),
	QString("timeval"),
	QString("variant1242"),
	QString("variant1243"),
	QString("bare-bond-interface"),
	QString("variant1245"),
	QString("choice1246"),
	QString("bond-interface-common"),
	QString("bond"),
	QString("bond-element"),
	QString("balance-rr"),
	QString("active-backup"),
	QString("balance-xor"),
	QString("broadcast"),
	QString("802.3ad"),
	QString("balance-tlb"),
	QString("balance-alb"),
	QString("miimon"),
	QString("freq"),
	QString("downdelay"),
	QString("updelay"),
	QString("carrier"),
	QString("ioctl"),
	QString("netif"),
	QString("variant1264"),
	QString("arpmon"),
	QString("interval"),
	QString("validate"),
	QString("active"),
	QString("backup"),
	QString("variant1270"),
	QString("choice1271"),
	QString("onboot"),
	QString("hotplug"),
	QString("protocol-ipv4"),
	QString("protocol-ipv6"),
	QString("interface-addressing1276"),
	QString("interface-addressing1277"),
	QString("ipv4"),
	QString("dhcp-element"),
	QString("variant1280"),
	QString("variant1281"),
	QString("choice1282"),
	QString("autoconf"),
	QString("peerdns"),
	QString("domainsnapshot"),
	QString("data1286"),
	QString("uint8range1287"),
	QString("data1288"),
	QString("uint8range1289"),
	QString("data1290"),
	QString("uint24range1291"),
	QString("data1292"),
	QString("uint24range1293"),
	QString("data1294"),
	QString("UUID1295"),
	QString("data1296"),
	QString("UUID1297"),
	QString("DUID1298"),
	QString("DUID1299"),
	QString("DUID1300"),
	QString("DUID1301"),
	QString("ipAddr1302"),
	QString("ipAddr1303"),
	QString("ipPrefix1304"),
	QString("ipPrefix1305"),
	QString("variant1306"),
	QString("variant1307"),
	QString("choice1308"),
	QString("adapter1309"),
	QString("adapter1310"),
	QString("storageFormat1311"),
	QString("virtualPortProfile1312"),
	QString("virtualPortProfile1313"),
	QString("virtualPortProfile1314"),
	QString("virtualPortProfile1315"),
	QString("seclabel1316"),
	QString("seclabel1317"),
	QString("seclabel1318"),
	QString("seclabel1319"),
	QString("seclabel1320"),
	QString("seclabel1321"),
	QString("os1322"),
	QString("os1323"),
	QString("os1324"),
	QString("osxen1325"),
	QString("osxen1326"),
	QString("variant1327"),
	QString("variant1328"),
	QString("variant1329"),
	QString("variant1330"),
	QString("variant1331"),
	QString("variant1332"),
	QString("variant1333"),
	QString("variant1334"),
	QString("choice1335"),
	QString("memory1336"),
	QString("memory1337"),
	QString("adjustment1338"),
	QString("clock1339"),
	QString("clock1340"),
	QString("clock1341"),
	QString("timer1342"),
	QString("timer1343"),
	QString("timer1344"),
	QString("timer1345"),
	QString("tickpolicy1346"),
	QString("tickpolicy1347"),
	QString("bootloader1348"),
	QString("disk1349"),
	QString("disk1350"),
	QString("diskBackingChain1351"),
	QString("diskBackingChain1352"),
	QString("diskSource1353"),
	QString("diskSource1354"),
	QString("diskSource1355"),
	QString("diskSource1356"),
	QString("diskSource1357"),
	QString("name1358"),
	QString("name1359"),
	QString("host1360"),
	QString("host1361"),
	QString("type1362"),
	QString("variant1363"),
	QString("variant1364"),
	QString("variant1365"),
	QString("variant1366"),
	QString("variant1367"),
	QString("choice1368"),
	QString("variant1369"),
	QString("variant1370"),
	QString("choice1371"),
	QString("filesystem1372"),
	QString("filesystem1373"),
	QString("filesystem1374"),
	QString("filesystem1375"),
	QString("filesystem1376"),
	QString("filesystem1377"),
	QString("interface1378"),
	QString("interface1379"),
	QString("interface1380"),
	QString("interface1381"),
	QString("interface1382"),
	QString("interface1383"),
	QString("interface1384"),
	QString("interface1385"),
	QString("interface1386"),
	QString("source1387"),
	QString("address1388"),
	QString("address1389"),
	QString("source1390"),
	QString("interface1391"),
	QString("driver1392"),
	QString("driver1393"),
	QString("graphics1394"),
	QString("variant1395"),
	QString("variant1396"),
	QString("choice1397"),
	QString("graphics1398"),
	QString("graphics1399"),
	QString("graphics1400"),
	QString("graphics1401"),
	QString("listen1402"),
	QString("listen1403"),
	QString("model1404"),
	QString("model1405"),
	QString("variant1406"),
	QString("variant1407"),
	QString("choice1408"),
	QString("class1409"),
	QString("class1410"),
	QString("vendor1411"),
	QString("vendor1412"),
	QString("product1413"),
	QString("product1414"),
	QString("version1415"),
	QString("version1416"),
	QString("console1417"),
	QString("variant1418"),
	QString("console1419"),
	QString("variant1420"),
	QString("variant1421"),
	QString("variant1422"),
	QString("choice1423"),
	QString("smartcard1424"),
	QString("smartcard1425"),
	QString("smartcard1426"),
	QString("backend1427"),
	QString("variant1428"),
	QString("variant1429"),
	QString("choice1430"),
	QString("hostdevsubsys1431"),
	QString("hostdevsubsys1432"),
	QString("hostdevsubsys1433"),
	QString("hostdevcaps1434"),
	QString("hostdevcaps1435"),
	QString("hostdevcaps1436"),
	QString("source1437"),
	QString("source1438"),
	QString("source1439"),
	QString("source1440"),
	QString("variant1441"),
	QString("variant1442"),
	QString("variant1443"),
	QString("variant1444"),
	QString("variant1445"),
	QString("variant1446"),
	QString("variant1447"),
	QString("variant1448"),
	QString("variant1449"),
	QString("variant1450"),
	QString("variant1451"),
	QString("variant1452"),
	QString("variant1453"),
	QString("variant1454"),
	QString("variant1455"),
	QString("variant1456"),
	QString("variant1457"),
	QString("variant1458"),
	QString("variant1459"),
	QString("variant1460"),
	QString("variant1461"),
	QString("choice1462"),
	QString("model1463"),
	QString("address1464"),
	QString("address1465"),
	QString("address1466"),
	QString("address1467"),
	QString("address1468"),
	QString("address1469"),
	QString("address1470"),
	QString("address1471"),
	QString("choice1472"),
	QString("backend1473"),
	QString("backend1474"),
	QString("mirror1475"),
	QString("mirror1476"),
	QString("secret1477"),
	QString("secret1478"),
	QString("variant1479"),
	QString("variant1480"),
	QString("choice1481"),
	QString("variant1482"),
	QString("variant1483"),
	QString("choice1484"),
	QString("variant1485"),
	QString("variant1486"),
	QString("variant1487"),
	QString("choice1488"),
	QString("data1489"),
	QString("ccwCssidRange1490"),
	QString("data1491"),
	QString("ccwCssidRange1492"),
	QString("data1493"),
	QString("ccwCssidRange1494"),
	QString("data1495"),
	QString("ccwDevnoRange1496"),
	QString("data1497"),
	QString("ccwDevnoRange1498"),
	QString("creationTime"),
	QString("memory1500"),
	QString("memory1501"),
	QString("disks"),
	QString("disksnapshot"),
	QString("0"),
	QString("1"),
	QString("variant1506"),
	QString("data1507"),
	QString("uint8range1508"),
	QString("data1509"),
	QString("uint8range1510"),
	QString("data1511"),
	QString("uint24range1512"),
	QString("data1513"),
	QString("uint24range1514"),
	QString("data1515"),
	QString("UUID1516"),
	QString("data1517"),
	QString("UUID1518"),
	QString("DUID1519"),
	QString("DUID1520"),
	QString("DUID1521"),
	QString("DUID1522"),
	QString("ipAddr1523"),
	QString("ipAddr1524"),
	QString("ipPrefix1525"),
	QString("ipPrefix1526"),
	QString("variant1527"),
	QString("variant1528"),
	QString("choice1529"),
	QString("adapter1530"),
	QString("adapter1531"),
	QString("storageFormat1532"),
	QString("virtualPortProfile1533"),
	QString("virtualPortProfile1534"),
	QString("virtualPortProfile1535"),
	QString("virtualPortProfile1536"),
	QString("seclabel1537"),
	QString("seclabel1538"),
	QString("seclabel1539"),
	QString("seclabel1540"),
	QString("seclabel1541"),
	QString("seclabel1542"),
	QString("os1543"),
	QString("os1544"),
	QString("os1545"),
	QString("osxen1546"),
	QString("osxen1547"),
	QString("variant1548"),
	QString("variant1549"),
	QString("variant1550"),
	QString("variant1551"),
	QString("variant1552"),
	QString("variant1553"),
	QString("variant1554"),
	QString("variant1555"),
	QString("choice1556"),
	QString("memory1557"),
	QString("memory1558"),
	QString("adjustment1559"),
	QString("clock1560"),
	QString("clock1561"),
	QString("clock1562"),
	QString("timer1563"),
	QString("timer1564"),
	QString("timer1565"),
	QString("timer1566"),
	QString("tickpolicy1567"),
	QString("tickpolicy1568"),
	QString("bootloader1569"),
	QString("disk1570"),
	QString("disk1571"),
	QString("diskBackingChain1572"),
	QString("diskBackingChain1573"),
	QString("diskSource1574"),
	QString("diskSource1575"),
	QString("diskSource1576"),
	QString("diskSource1577"),
	QString("diskSource1578"),
	QString("name1579"),
	QString("name1580"),
	QString("host1581"),
	QString("host1582"),
	QString("type1583"),
	QString("variant1584"),
	QString("variant1585"),
	QString("variant1586"),
	QString("variant1587"),
	QString("variant1588"),
	QString("choice1589"),
	QString("variant1590"),
	QString("variant1591"),
	QString("choice1592"),
	QString("filesystem1593"),
	QString("filesystem1594"),
	QString("filesystem1595"),
	QString("filesystem1596"),
	QString("filesystem1597"),
	QString("filesystem1598"),
	QString("interface1599"),
	QString("interface1600"),
	QString("interface1601"),
	QString("interface1602"),
	QString("interface1603"),
	QString("interface1604"),
	QString("interface1605"),
	QString("interface1606"),
	QString("interface1607"),
	QString("source1608"),
	QString("address1609"),
	QString("address1610"),
	QString("source1611"),
	QString("interface1612"),
	QString("driver1613"),
	QString("driver1614"),
	QString("graphics1615"),
	QString("variant1616"),
	QString("variant1617"),
	QString("choice1618"),
	QString("graphics1619"),
	QString("graphics1620"),
	QString("graphics1621"),
	QString("graphics1622"),
	QString("listen1623"),
	QString("listen1624"),
	QString("model1625"),
	QString("model1626"),
	QString("variant1627"),
	QString("variant1628"),
	QString("choice1629"),
	QString("class1630"),
	QString("class1631"),
	QString("vendor1632"),
	QString("vendor1633"),
	QString("product1634"),
	QString("product1635"),
	QString("version1636"),
	QString("version1637"),
	QString("console1638"),
	QString("variant1639"),
	QString("console1640"),
	QString("variant1641"),
	QString("variant1642"),
	QString("variant1643"),
	QString("choice1644"),
	QString("smartcard1645"),
	QString("smartcard1646"),
	QString("smartcard1647"),
	QString("backend1648"),
	QString("variant1649"),
	QString("variant1650"),
	QString("choice1651"),
	QString("hostdevsubsys1652"),
	QString("hostdevsubsys1653"),
	QString("hostdevsubsys1654"),
	QString("hostdevcaps1655"),
	QString("hostdevcaps1656"),
	QString("hostdevcaps1657"),
	QString("source1658"),
	QString("source1659"),
	QString("source1660"),
	QString("source1661"),
	QString("variant1662"),
	QString("variant1663"),
	QString("variant1664"),
	QString("variant1665"),
	QString("variant1666"),
	QString("variant1667"),
	QString("variant1668"),
	QString("variant1669"),
	QString("variant1670"),
	QString("variant1671"),
	QString("variant1672"),
	QString("variant1673"),
	QString("variant1674"),
	QString("variant1675"),
	QString("variant1676"),
	QString("variant1677"),
	QString("variant1678"),
	QString("variant1679"),
	QString("variant1680"),
	QString("variant1681"),
	QString("variant1682"),
	QString("choice1683"),
	QString("model1684"),
	QString("address1685"),
	QString("address1686"),
	QString("address1687"),
	QString("address1688"),
	QString("address1689"),
	QString("address1690"),
	QString("address1691"),
	QString("address1692"),
	QString("choice1693"),
	QString("backend1694"),
	QString("backend1695"),
	QString("mirror1696"),
	QString("mirror1697"),
	QString("secret1698"),
	QString("secret1699"),
	QString("variant1700"),
	QString("variant1701"),
	QString("choice1702"),
	QString("variant1703"),
	QString("variant1704"),
	QString("choice1705"),
	QString("variant1706"),
	QString("variant1707"),
	QString("variant1708"),
	QString("choice1709"),
	QString("data1710"),
	QString("ccwCssidRange1711"),
	QString("data1712"),
	QString("ccwCssidRange1713"),
	QString("data1714"),
	QString("ccwCssidRange1715"),
	QString("data1716"),
	QString("ccwDevnoRange1717"),
	QString("data1718"),
	QString("ccwDevnoRange1719"),
	QString("choice1720"),
	QString("nostate"),
	QString("running"),
	QString("blocked"),
	QString("paused"),
	QString("shutoff"),
	QString("crashed"),
	QString("disk-snapshot"),
	QString("disksnapshotdriver"),
	QString("name1729"),
	QString("name1730"),
	QString("disk1731"),
	QString("disk1732"),
	QString("variant1733"),
	QString("variant1734"),
	QString("variant1735"),
	QString("choice1736"),
	QString("disk1737"),
	QString("disk1738"),
	QString("disk1739"),
	QString("data1740"),
	QString("uint8range1741"),
	QString("data1742"),
	QString("uint8range1743"),
	QString("data1744"),
	QString("uint24range1745"),
	QString("data1746"),
	QString("uint24range1747"),
	QString("data1748"),
	QString("UUID1749"),
	QString("data1750"),
	QString("UUID1751"),
	QString("DUID1752"),
	QString("DUID1753"),
	QString("DUID1754"),
	QString("DUID1755"),
	QString("ipAddr1756"),
	QString("ipAddr1757"),
	QString("ipPrefix1758"),
	QString("ipPrefix1759"),
	QString("variant1760"),
	QString("variant1761"),
	QString("choice1762"),
	QString("adapter1763"),
	QString("adapter1764"),
	QString("hostcaps"),
	QString("guestcaps"),
	QString("cpufeatures"),
	QString("cpuspec"),
	QString("power_management"),
	QString("migration"),
	QString("secmodel"),
	QString("doi"),
	QString("nonpae"),
	QString("vmx"),
	QString("svm"),
	QString("pagesElem"),
	QString("suspend_mem"),
	QString("suspend_disk"),
	QString("suspend_hybrid"),
	QString("migration_features"),
	QString("live"),
	QString("uri_transports"),
	QString("uri_transport"),
	QString("esx"),
	QString("xenmigr"),
	QString("cells"),
	QString("num"),
	QString("distances"),
	QString("sibling"),
	QString("socket_id"),
	QString("core_id"),
	QString("siblings"),
	QString("ostype"),
	QString("os_type"),
	QString("wordsize"),
	QString("31"),
	QString("32"),
	QString("64"),
	QString("canonical"),
	QString("maxCpus"),
	QString("ia64_be"),
	QString("featuretoggle"),
	QString("cpuselection"),
	QString("deviceboot"),
	QString("toggle"),
	QString("pages"),
	QString("anonymous1807")
};

const QString& getText(quint32 index_)
{
	return g_text[index_ - 1];
}
